Skip to main content
GET
/
v1
/
flipwallets
cURL
curl --request GET \
  --url https://api.flipsuite.xyz/v1/flipwallets
import requests

url = "https://api.flipsuite.xyz/v1/flipwallets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.flipsuite.xyz/v1/flipwallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "wallets": [
    {
      "id": "88d60e7b-4882-427f-a022-49dc321ae123",
      "chain": "Base",
      "chainId": "8453",
      "address": "0x8dd3b9bc6f6179b8e251b8f56b2e417e74e5227e"
    },
    {
      "id": "9bf7450d-d0f5-49ae-bec3-10e96b058c62",
      "chain": "Solana",
      "chainId": "",
      "address": "4SdzrfSMJ7KpS2HNRp1MK1H36Wr4ZsofpZtyy6JrE45y"
    },
    {
      "id": "bccd1eee-e313-44f7-8ac8-11a0754aed38",
      "chain": "Osmosis",
      "chainId": "osmosis-1",
      "address": "osmo1m6pakld5tu09n44c4lx0v27msdkwmxn3tnyltj"
    },
    {
      "id": "276fcce7-2e71-456f-acf0-add879e14055",
      "chain": "zkCronos",
      "chainId": "388",
      "address": "0x8dd3b9bc6f6179b8e251b8f56b2e417e74e5227e"
    }
  ]
}
Flipwallets returned in the response can change over time, so it’s not recommended to cache them for extended periods.

Query Parameters

platform
enum<string>
required

Platform to query

Available options:
discord
Example:

"discord"

user
string
required

Platform ID of the user to query

Example:

"328218133074804739"

Response

200 - application/json

User's Flipwallets for each supported chain

wallets
object[]
required

List of Flipwallets associated with the user.